6012: Format phone number for out of country calling
Validate phone number and return the correctly formatted valid number ready to be called from a given country.
Endpoint ID: | 6012 | |||||||||||
Method: | GET | |||||||||||
URL: | /services/phonenumber/format/{phoneNumber}/from/{region}?countryCode={countryCode}&countryCodeFormat={countryCodeFormat} | |||||||||||
| phoneNumber | Phone number to be formatted. Valid examples
| ||||||||||
| region | Desired country code in which the number to be formatted. | ||||||||||
| countryCode | Optional value to identify country of phoneNumber. | ||||||||||
| countryCodeFormat | Optional value to identify countryCode format. Valid values are
| ||||||||||
Request body: | None | |||||||||||
JSON data with information of formatted phone number
Example – Format +4529254029 for US{
"phoneNumber": "011 45 29 25 40 29"
}
| ||||||||||||
Status codes: | 200 | Phone number is formatted successfully. | ||||||||||
| 400 | The following sub codes may be returned:
| ||||||||||